| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Gaudi::Utils::GetData< TYPE > Struct Template Reference

`#include <GaudiUtils/GetData.h>`

Inheritance diagram for Gaudi::Utils::GetData< TYPE >:

[legend]

List of all members.

## Detailed Description

### template<class TYPE>
struct Gaudi::Utils::GetData< TYPE >

Helper structure for iplementation of "get"-functions for GaudiCommon<BASE>.

Author:
  Vanya BELYAEV Ivan.Belyaev@nikhef.nl

Date:
  2008-07-22

Definition at line 66 of file GetData.h.

## Public Types
typedef TYPE | Type
typedef _GetType< Type > ::return_type | return_type
| the actual return type
## Public Member Functions
template<class COMMON>
return_type | operator() (const COMMON &common, IDataProviderSvc *service, const std::string &location) const
| the only one essential method

## Member Typedef Documentation

template<class TYPE>

typedef TYPE Gaudi::Utils::GetData< TYPE >::Type

Definition at line 70 of file GetData.h.

template<class TYPE>

typedef _GetType<Type>::return_type Gaudi::Utils::GetData< TYPE >::return_type

the actual return type

Definition at line 72 of file GetData.h.

## Member Function Documentation

template<class TYPE>
template<class COMMON>

return_type Gaudi::Utils::GetData< TYPE >::operator() | ( | const COMMON & | common,
|  | IDataProviderSvc * | service,
|  | const std::string & | location |
| ) |  |  | const`[inline]`

the only one essential method

Parameters:

  | common | the actual "worker"
  | service | pointer to Data Provider Service
  | location | location of objects in TES

Returns:
  the data

use Data Provider Service

check the data

debug printout

Definition at line 84 of file GetData.h.

    00087       {
    00089         SmartDataPtr<TYPE> obj ( service , location ) ;
    00090         return_type aux = obj ;
    00092         common.Assert ( !(!aux) , "get():: No valid data at '" + location + "'"  ) ;
    00094         if ( common.msgLevel ( MSG::DEBUG ) )
    00095         { common.debug() << "The object of type '"
    00096                          << System::typeinfoName(typeid(aux))
    00097                          << "' has been retrieved from TS at address '"
    00098                          << location << "'" << endreq ; }
    00099         // return located *VALID* data
    00100         return aux ;
    00101         // ======================================================================
    00102       }

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiAlg/GaudiAlg/GetData.h